from django.conf.urls import url
from django.contrib.auth import views as auth_views
from django.urls import reverse_lazy

from basetheme_bootstrap import views

app_name = 'basetheme_bootstrap'
urlpatterns = [
    ################################################################################
    # Account management
    ################################################################################
    url(r'^accounts/$', views.account_detail, name='account'),
    url(r'^accounts/login/$', auth_views.LoginView.as_view(), name='login'),
    url(r'^accounts/logout/$', auth_views.LogoutView.as_view(next_page='/'), name='logout'),
    url(r'^accounts/password/$', views.change_password, name='change_password'),
    url(r'^accounts/signup/$', views.signup, name='signup'),
    url(r'^accounts/edit/$', views.user_update, name='user-update'),
    url(r'^accounts/remove/$', views.user_delete, name='user-delete'),
    ################################################################################
    # About page
    ################################################################################
    url(r'^about/$', views.about_page, name='about_page'),
    ################################################################################
    # Lost password
    ################################################################################
    url(r'^accounts/password_reset/$',
        auth_views.PasswordResetView.as_view(
            success_url=reverse_lazy("basetheme_bootstrap:password_reset_done"),
        ),
        name='password_reset'),
    url(r'^accounts/password_reset/done/$',
        auth_views.PasswordResetDoneView.as_view(),
        name='password_reset_done'),
    url(r'^accounts/password/reset/(?P<uidb64>[0-9A-Za-z_\-]+)/(?P<token>[0-9A-Za-z]{1,13}-[0-9A-Za-z]{1,20})/$',
        auth_views.PasswordResetConfirmView.as_view(
            success_url=reverse_lazy("basetheme_bootstrap:password_reset_complete"),
        ),
        name='password_reset_confirm'),
    url(r'^accounts/password/reset/done/$',
        auth_views.PasswordResetCompleteView.as_view(),
        name='password_reset_complete'),
    ################################################################################
]
